<template>
  <div class="head-input flex-center">
    <div class=" content flex-between">
       <div class=" images flex">
         <img src="~/assets/css/logo.jpg" >
         <div class="head-input-title" @click="gotohome">捷安采</div>
      </div>
       <div class="search flex-item">
         <div class="flex">
           <el-input
            placeholder="请输入您要搜索的公告"
            v-model="input"
            clearable>
            <i slot="prefix" class="el-input__icon el-icon-search" @click="toSearch"></i>
          </el-input>
          <el-button @click="toSearch">搜索</el-button>
         </div>
       </div>
    </div>
  </div>

</template>

<script>
import Cookies from "js-cookie"
  export default {
    mounted(){

    },
    methods:{
        toSearch(){
         Cookies.set("inputContent",this.input)
         Cookies.set("contentStatus",1)
         if(window.location.pathname !=="/notice/all/"){
            this.$router.push('/notice/all/')
            this.input = null
         }else{
           location.reload()
           this.input = null
         }
      },
      gotohome(){
          this.$router.push("/")
      },
    },
    data() {
      return {
        showdefault:false,
        input:"",
      }
    },
  }
</script>

<style scoped>
.images{
  width:200px;
    height:38px;
}
.images>img{
    width:40px;
    height:38px;
    
}
  .head-input{
     height: 100px;
     width:1200px;
     margin:0 auto
   }
  .search>.search-title{
     width:.74rem;
     height:.42rem;
     background:rgba(4,134,254,1);
     border-radius:0px 4px 4px 0px;
     color:rgba(255,255,255,1);
   }
   .search>.el-input{
     width: 2.62rem;
   }
   .head-input-title{
     margin-top: -2px;
     width: 100px;
    height: 37px;
    font-size: 28px;
    font-family: MicrosoftYaHei;
    color: #000000;
    line-height: 37px;
    margin-left:20px;
    cursor: pointer;
   }
   .t11{
     cursor: pointer;
   }
   /* 更改element-UI按钮样式 */
  .el-button{
    color: #fff;
    background-color: #FF5203;
  }
  .el-button:hover{
    background-color: #FF5203;
    color: #FFFFFF
  }
  .el-button:focus{
    background-color: #FF5203;
    color: #FFFFFF
  } 
  .el-input__inner{
    border:1px solid #FF5203
  }
  .el-input__inner:focus{
    border:1px solid #FF5203
  }
  .el-button:hover{
    background-color: #FF5203;
    /* border-color: #FF69B4;   */
  }

</style>
